Namespace: webdriver.logging
View Source

# class Level

The Level class defines a set of standard logging levels that can be used to control logging output. The logging Level objects are ordered and are specified by ordered integers. Enabling logging at a given level also enables logging at all higher levels.

Clients should normally use the predefined Level constants such as Level.SEVERE.

The levels in descending order are:

- SEVERE (highest value)
- WARNING
- INFO
- CONFIG
- FINE
- FINER
- FINEST (lowest value)

In addition there is a level OFF that can be used to turn off logging, and a level ALL that can be used to enable logging of all messages.

### new Level(name, value)

Parameters

name`string`

  The name of the level.

value`number`

  The numeric value of the level.

## Instance Methods

### toString()code »

Returns

`string`

  String representation of the logger level.

## Instance Properties

name `string`

  The name of the level

value `number`

  The numeric value of the level

## Static Functions

### Level.getPredefinedLevel(name)code »

Gets the predefined level with the given name.

Parameters

name`string`

  The name of the level.

Returns

`webdriver.logging.Level`

  The level, or null if none found.

### Level.getPredefinedLevelByValue(value)code »

Gets the highest predefined level <= #value.

Parameters

value`number`

  Level value.

Returns

`webdriver.logging.Level`

  The level, or null if none found.

## Static Properties

Level.ALL `webdriver.logging.Level`

  ALL indicates that all messages should be logged. This level is initialized to `0`.

Level.CONFIG `webdriver.logging.Level`

  CONFIG is a message level for static configuration messages. This level is initialized to `700`.

Level.DEBUG `webdriver.logging.Level`

  DEBUG is a message level for debugging messages and has the same log level as the `Logger.Level.CONFIG` message level.

Level.FINE `webdriver.logging.Level`

  FINE is a message level providing tracing information. This level is initialized to `500`.

Level.FINER `webdriver.logging.Level`

  FINER indicates a fairly detailed tracing message. This level is initialized to `400`.

Level.FINEST `webdriver.logging.Level`

  FINEST indicates a highly detailed tracing message. This level is initialized to `300`.

Level.INFO `webdriver.logging.Level`

  INFO is a message level for informational messages. This level is initialized to `800`.

Level.OFF `webdriver.logging.Level`

  OFF is a special level that can be used to turn off logging. This level is initialized to `Infinity`.

Level.PREDEFINED_LEVELS `Array<webdriver.logging.Level>`

  The predefined levels.

Level.SEVERE `webdriver.logging.Level`

  SEVERE is a message level indicating a serious failure. This level is initialized to `1000`.

Level.SHOUT `webdriver.logging.Level`

  SHOUT is a message level for extra debugging loudness. This level is initialized to `1200`.

Level.WARNING `webdriver.logging.Level`

  WARNING is a message level indicating a potential problem. This level is initialized to `900`.